<?php
namespace Claromentis\Documents\Subscriber;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_147160a2e585c182c1b1349779" . "a20ca3" => base64_decode("dGFnZ2Vkc19" . "hZmZlY3RlZA" . "=="), "_2ddb0d638f8b" . "0800ac1e67838" . "5d1d13f" => base64_decode("dGFnZ" . "2Vkcw" . "=="), "_7f628626dd1d" . "55c71b1fc0932" . "ffd1d2c" => base64_decode("aXNfYXJyY" . "Xk="), "_cc13a0811453f376" . "ca3d9bf4073f66b6" => base64_decode("UmVpbmRleERv" . "Y3VtZW50cw=="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Search\Indexing\IndexingQueue;
use ERMSObject;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
class TagsSubscriber implements EventSubscriberInterface
{
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_147160a2e585c182c1b13497" . "79a20ca3"] => $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_cc13a0811453f376ca3d9bf" . "4073f66b6"]];
    }
    
    
    
    
    
    
    public function ReindexDocuments(GenericEvent $event)
    {
        $arguments = $event->getArguments();
        if (!isset($arguments[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_2ddb0d638f8b0800ac1e678385" . "d1d13f"]][AGGREGATION_DATA])) {
            return;
        }
        $_54a4e641f6b0a82e03c3b14120cbf5f0 = $arguments[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_2ddb0d638f8b0800ac1e678385d1d" . "13f"]][AGGREGATION_DATA];
        if (!$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_7f628626dd1d55c71b1fc0932ffd1" . "d2c"]($_54a4e641f6b0a82e03c3b14120cbf5f0)) {
            return;
        }
        foreach ($_54a4e641f6b0a82e03c3b14120cbf5f0 as $_f0abe7892aa8bbbd0c1198602164aa17) {
            IndexingQueue::Reindex(ERMSObject::GetSearchTypeFromAggregation(AGGREGATION_DATA), $_f0abe7892aa8bbbd0c1198602164aa17);
        }
    }
}